MU ADD(1)

NAME

mu-add - add one or more messages to the database

SYNOPSIS

mu [​COMMON-OPTIONS​] add [​OPTIONS​] FILE...

DESCRIPTION

mu add is the command to add specific message files to the database. Each file must be specified with an absolute path.

ADD OPTIONS

  --muhome

Use a non-default directory to store and read the database, write the logs, etc. By default, mu uses the XDG Base Directory Specification (e.g. on GNU/Linux this defaults to ~/.cache/mu and ~/.config/mu). Earlier versions of mu defaulted to ~/.mu, which now requires --muhome=~/.mu.

The environment variable MUHOME can be used as an alternative to --muhome. The latter has precedence.

COMMON OPTIONS

  -d, --debug

Makes mu generate extra debug information, useful for debugging the program itself. By default, debug information goes to the log file, ~/.cache/mu/mu.log. It can safely be deleted when mu is not running. When running with --debug option, the log file can grow rather quickly. See the note on logging below.

  -q, --quiet

Causes mu not to output informational messages and progress information to standard output, but only to the log file. Error messages will still be sent to standard error. Note that mu index is much faster with --quiet, so it is recommended you use this option when using mu from scripts etc.

  --log-stderr

Causes mu to not output log messages to standard error, in addition to sending them to the log file.

  --nocolor

Do not use ANSI colors. The environment variable NO_COLOR can be used as an alternative to --nocolor.

  -V, --version

Prints mu version and copyright information.

  -h, --help

Lists the various command line options.

EXIT CODE

This command returns 0 upon successful completion, or a non-zero exit code otherwise.

0.  success

2.  no matches found. Try a different query

11. database schema mismatch. You need to re-initialize mu, see mu-init​(1)

19. failed to acquire lock. Some other program has exclusive access to the mu database

99. caught an exception

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.12.6.

Copyright © 2008-2024 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

mu​(1), mu-index​(1), mu-remove​(1)